Subject: Re: bug#56095: 29.0.50; nsterm.m, use after free

From: Gerd Möllmann <[email-masked]>
Date: Tue, 21 Jun 2022 16:25:19 +0200

On 20. Jun 2022, 12:21 +0200, Po Lu <[email-masked]>, wrote:
> But it seems there is no struct scroll_bar at all in the NS port! (Why
> does it always have to do things differently?)
Think Different (tm) :-).
> Does anyone want me to
> fix that?
I have no opinion on that.
>
> In the meantime, a loop through all the scroll bars in a mark_nsterm
> function would suffice.
Please find a patch for that attached.

As an aside, if anyone has heard anything about building GDB on an M1 Mac, I'd be grateful for a pointer. I'm asking because I'm currently stuck with lldb on my machine.  GDB doesn't seem to build - it doesn't produce an executable, but apparently, if I'm not blind, without saying what the problem is.